<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/bgLayout"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <com.google.android.material.appbar.AppBarLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@android:color/transparent"
        android:theme="@style/AppTheme.AppBarOverlay">

        <androidx.appcompat.widget.Toolbar
            android:id="@+id/toolbar"
            android:layout_width="match_parent"
            android:layout_height="?android:attr/actionBarSize"
            android:background="#ffffff"
            android:elevation="@dimen/seekbarsize_small"
            app:contentInsetLeft="0dp"
            app:contentInsetStart="0dp"
            app:popupTheme="@style/AppTheme.PopupOverlay">

            <TextView
                android:id="@+id/title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:gravity="center"
                android:scrollHorizontally="true"
                android:singleLine="true"
                android:text="My Wallet"
                android:textAllCaps="true"
                android:textColor="@color/btn_bg_color"
                android:textSize="@dimen/textSizeAverage"
                android:textStyle="bold" />


            <ImageButton
                android:id="@+id/rightMenu"
                android:layout_width="@dimen/buttonHeight"
                android:layout_height="wrap_content"
                android:layout_gravity="center|right"

                android:background="@android:color/transparent"
                android:contentDescription="@string/app_name"
                android:padding="12dp"
                android:scaleType="fitCenter"
                android:src="@mipmap/sync_icon" />

        </androidx.appcompat.widget.Toolbar>

    </com.google.android.material.appbar.AppBarLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_weight="1"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="0dip"
            android:layout_gravity="center"
            android:layout_weight="0.35"
            android:background="@color/bg_color"
            android:elevation="@dimen/seekbarsize_small"
            android:gravity="center"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:background="@color/bg_color"
                android:elevation="@dimen/seekbarsize_small"
                android:gravity="center"
                android:orientation="horizontal">

                <FrameLayout
                    android:layout_width="@dimen/layoutsizeLarge"
                    android:layout_height="80dp"
                    android:layout_marginTop="@dimen/seekbarsize_small">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/seekbarsize"
                        android:gravity="center"
                        android:orientation="horizontal">

                        <ImageView
                            android:layout_width="@dimen/buttonHeight"
                            android:layout_height="@dimen/buttonHeight"
                            android:layout_gravity="left"
                            android:background="@android:color/transparent"
                            android:contentDescription="@string/action_submit"
                            android:scaleType="fitCenter"
                            android:src="@mipmap/wallet_money" />

                        <ImageView
                            android:layout_width="@dimen/buttonHeightSmall"
                            android:layout_height="@dimen/buttonHeightSmall"
                            android:layout_gravity="left|center"
                            android:background="@android:color/transparent"
                            android:contentDescription="@string/action_submit"
                            android:scaleType="fitCenter"
                            android:src="@mipmap/rupee_icon"
                            android:visibility="gone" />

                        <com.ttiglobal.inttilectgpchat.autofit.AutofitTextView
                            android:id="@+id/points"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:gravity="center|left"
                            android:maxLines="1"

                            android:singleLine="true"
                            android:textAllCaps="true"
                            android:textColor="@color/white"
                            android:textSize="@dimen/buttonHeightSmall"
                            android:textStyle="bold"
                            app:minTextSize="6sp" />
                    </LinearLayout>


                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center|bottom"
                        android:gravity="center|bottom"
                        android:paddingBottom="@dimen/seekbarsize_small"
                        android:scrollHorizontally="true"
                        android:singleLine="true"
                        android:text="Available Balance"
                        android:textColor="@color/white"
                        android:textSize="@dimen/textSizeSmall"
                        android:textStyle="normal" />

                </FrameLayout>

                <FrameLayout
                    android:layout_width="@dimen/layoutsizeLarge"
                    android:layout_height="80dp"
                    android:layout_marginTop="@dimen/seekbarsize_small">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="@dimen/seekbarsize"
                        android:gravity="center"
                        android:orientation="horizontal">

                        <ImageView
                            android:layout_width="@dimen/buttonHeight"
                            android:layout_height="@dimen/buttonHeight"
                            android:layout_gravity="left"
                            android:background="@android:color/transparent"
                            android:contentDescription="@string/action_submit"
                            android:scaleType="fitCenter"
                            android:src="@mipmap/wallet_money" />

                        <ImageView
                            android:layout_width="@dimen/buttonHeightSmall"
                            android:layout_height="@dimen/buttonHeightSmall"
                            android:layout_gravity="left|center"
                            android:background="@android:color/transparent"
                            android:contentDescription="@string/action_submit"
                            android:scaleType="fitCenter"
                            android:src="@mipmap/rupee_icon"
                            android:visibility="gone" />

                        <com.ttiglobal.inttilectgpchat.autofit.AutofitTextView
                            android:id="@+id/unApprovedPoints"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:gravity="center|left"
                            android:maxLines="1"
                            android:singleLine="true"
                            android:textAllCaps="true"
                            android:textColor="@color/white"
                            android:textSize="@dimen/buttonHeightSmall"
                            android:textStyle="bold"
                            app:minTextSize="6sp" />
                    </LinearLayout>


                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center|bottom"
                        android:gravity="center|bottom"
                        android:paddingBottom="@dimen/seekbarsize_small"
                        android:scrollHorizontally="true"
                        android:singleLine="true"
                        android:text="Unapproved Balance"
                        android:textColor="@color/white"
                        android:textSize="@dimen/textSizeSmall"
                        android:textStyle="normal" />

                </FrameLayout>

            </LinearLayout>

            <Button
                android:id="@+id/btn_purchase"
                android:layout_width="@dimen/layoutsize"
                android:layout_height="@dimen/buttonHeightNormal"
                android:layout_marginTop="@dimen/textSizeSmall"
                android:alpha="0.5"
                android:background="@drawable/border_login_button"
                android:enabled="false"
                android:text="Purchase now"
                android:textColor="@color/btn_bg_color"
                android:textSize="@dimen/textSizeSmall"
                android:textStyle="bold" />


        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="0dip"
            android:layout_weight="0.03"
            android:orientation="vertical"/>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="0dip"
            android:layout_weight="0.7"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="@dimen/buttonHeightNormal"
                android:background="@color/bg_color">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:gravity="center"
                    android:text="Order history"
                    android:textAllCaps="true"
                    android:textColor="@color/material_white"
                    android:textSize="@dimen/textSizeSmall" />
            </LinearLayout>

            <com.tylersuehr.esr.EmptyStateRecyclerView
                android:id="@+id/redeemProductList"
                android:layout_width="match_parent"
                android:layout_height="match_parent"

                />

            <ProgressBar
                android:id="@+id/progressBar"
                android:layout_width="@dimen/buttonHeightSmall"
                android:layout_height="@dimen/buttonHeightSmall"
                android:layout_gravity="center|bottom"
                android:visibility="gone" />

        </LinearLayout>


    </LinearLayout>


</LinearLayout>